# SON-FEB3-FEB14-Peerplays-Release0.2Build1

### **User Stories/Defects Testing** <a href="#son-feb3-feb14-peerplays-release0.2build1-userstories-defectstesting" id="son-feb3-feb14-peerplays-release0.2build1-userstories-defectstesting"></a>

Release details : [https://peerplays.atlassian.net/projects/SON/versions/10100/tab/release-report-in-progress](https://peerplays.atlassian.net/projects/SON/versions/10100/tab/release-report-in-progress)



**Tested & Completed**

| Key                                                       | Summary                                                                            | Issue Type                                                                                                    |
| --------------------------------------------------------- | ---------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------- |
| [SON-150](https://peerplays.atlassian.net/browse/SON-150) | \[Development] cli\_wallet: list\_active\_SONs                                     | ![](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)Story |
| [SON-162](https://peerplays.atlassian.net/browse/SON-162) | son payment test failure                                                           | ![](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)Story |
| [SON-165](https://peerplays.atlassian.net/browse/SON-165) | create\_son: Issue with signing key                                                | ![](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)Bug   |
| [SON-194](https://peerplays.atlassian.net/browse/SON-194) | \[Development] report SON down                                                     | ![](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)Story |
| [SON-199](https://peerplays.atlassian.net/browse/SON-199) | \[Dev] test failures on SONs code base                                             | ![](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)Story |
| [SON-206](https://peerplays.atlassian.net/browse/SON-206) | Sidechain Plugin Add heartbeats                                                    | ![](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)Story |
| [SON-207](https://peerplays.atlassian.net/browse/SON-207) | Scheduling for SONs similar to witnesses                                           | ![](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)Story |
| [SON-212](https://peerplays.atlassian.net/browse/SON-212) | Sidechain Plugin Report SON Down                                                   | ![](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)Story |
| [SON-213](https://peerplays.atlassian.net/browse/SON-213) | Sidechain Plugin sign SON Proposals                                                | ![](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)Story |
| [SON-220](https://peerplays.atlassian.net/browse/SON-220) | update\_sidechain\_address and delete\_sidechain\_address commands throw exception | ![](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)Bug   |
| [SON-232](https://peerplays.atlassian.net/browse/SON-232) | Check for duplicate SON proposals created from side chain plugin.                  | ![](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)Story |

**Tested & Reopened**

| Key                                                       | Summary                                                            | Issue Type                                                                                                    |
| --------------------------------------------------------- | ------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------- |
| [SON-200](https://peerplays.atlassian.net/browse/SON-200) | \[Development] Introduce Maintenance mode for SONs                 | ![](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)Story |
| [SON-202](https://peerplays.atlassian.net/browse/SON-202) | \[Development] implement cli\_wallet commands for maintenance mode | ![](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)Story |
| [SON-233](https://peerplays.atlassian.net/browse/SON-233) | SON Provide correct downtime metrics to user                       | ![](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)Story |

**New Bug Reported**

[**SON-241** SON's owner account's private active wif key is removed from the wallet when a son is deregistered](https://peerplays.atlassian.net/browse/SON-241)

[**SON-242** list\_active\_sons throws exception after deleting an active son](https://peerplays.atlassian.net/browse/SON-242)



**Test Execution Report**

![Test Execution Report](<../../../.gitbook/assets/image (19).png>)
